# Uses of Class
org.eclipse.birt.report.model.api.StyleHandle

Packages that use StyleHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.structures
Defines the structure types in Model system.
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.
org.eclipse.birt.report.model.api.util
Utility classes.
org.eclipse.birt.report.model.api.validators
Provides the validation classes for semantic check on multiple properties.

## Uses of StyleHandle in org.eclipse.birt.report.model.api

Subclasses of StyleHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`CssSharedStyleHandle`
Css shared style handle.
`class`
`PrivateStyleHandle`
Represents the "private style" for an element.
`class`
`SharedStyleHandle`
Represents a named, shared style.
Methods in org.eclipse.birt.report.model.api that return StyleHandle
Modifier and Type
Method
Description
`final StyleHandle`
AbstractThemeHandle.`findStyle(String name)`
Returns the style with the given name.
`final StyleHandle`
ContentElementHandle.`getPrivateStyle()`
`StyleHandle`
DesignElementHandle.`getPrivateStyle()`
Returns a handle to work with the style properties of this element.
`StyleHandle`
HighlightRuleHandle.`getStyle()`
Returns the style that the highlight rule links with.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type StyleHandle
Modifier and Type
Method
Description
`List<StyleHandle>`
FactoryElementHandle.`getAllFactoryStyles()`
Gets all the factory style handle.
Methods in org.eclipse.birt.report.model.api with parameters of type StyleHandle
Modifier and Type
Method
Description
`void`
HighlightRuleHandle.`setStyle(StyleHandle style)`
Sets the style property.

## Uses of StyleHandle in org.eclipse.birt.report.model.api.elements.structures

Methods in org.eclipse.birt.report.model.api.elements.structures that return StyleHandle
Modifier and Type
Method
Description
`StyleHandle`
HighlightRule.`getStyle()`
Returns the style that the highlight rule links with.
Methods in org.eclipse.birt.report.model.api.elements.structures with parameters of type StyleHandle
Modifier and Type
Method
Description
`void`
HighlightRule.`setStyle(StyleHandle styleElement)`
Sets the style property.

## Uses of StyleHandle in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return StyleHandle
Modifier and Type
Method
Description
`StyleHandle[]`
IReportItem.`getReferencedStyle()`
`StyleHandle[]`
ReportItem.`getReferencedStyle()`

## Uses of StyleHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type StyleHandle
Modifier and Type
Method
Description
`IStyle`
SimpleElementFactory.`createStyle(StyleHandle style)`

## Uses of StyleHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type StyleHandle
Modifier and Type
Method
Description
`IStyle`
ISimpleElementFactory.`createStyle(StyleHandle style)`
Create `IStyle` instance

## Uses of StyleHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type StyleHandle
Modifier and Type
Method
Description
`static boolean`
ElementExportUtilImpl.`canExport(StyleHandle styleHandle, ThemeHandle themeHandle, boolean canOverride)`
Checks whether the given element can be exported into the selected theme.
`static void`
ElementExportUtilImpl.`exportStyle(StyleHandle styleToExport, ThemeHandle themeHandle, boolean canOverride)`
Exports the given style into selected theme.

## Uses of StyleHandle in org.eclipse.birt.report.model.api.validators

Methods in org.eclipse.birt.report.model.api.validators with parameters of type StyleHandle
Modifier and Type
Method
Description
`List<SemanticException>`
ThemeStyleNameValidator.`validateForRenamingStyle(AbstractThemeHandle theme, StyleHandle style, String styleName)`
Validates whether the style can be renamed to the given name.